/* Die folgenden Code-Beispiele stammen aus dem Buch:
 *  Objektorientiertes Programmieren in C++
 *   Ein Tutorial fr Ein- und Umsteiger
 * von Nicolai Josuttis, Addison-Wesley Mnchen, 2001
 *
 * (C) Copyright Nicolai Josuttis 2001.
 * Diese Software darf kopiert, verwendet, modifiziert und verteilt
 * werden, sofern diese Copyright-Angabe in allen Kopien vorhanden ist.
 * Diese Software wird "so wie sie ist" zur Verfgung gestellt.
 * Es gibt keine explizite oder implizite Garantie ber ihren Nutzen.
 */
#include <iostream>    // C++-Headerdatei fr I/O
#include "string.hpp"  // C++-Headerdatei fr Strings

int main ()
{
    typedef Bsp::String string;

    // zwei Strings anlegen
    string vorname = "Jicolai";
    string nachname = "Nosuttis";
    string name;

    // die ersten Zeichen der Strings vertauschen
    char c = vorname[0];
    vorname[0] = nachname[0];
    nachname[0] = c;

    std::cout << vorname << ' ' << nachname << std::endl;
}
